Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.messaging
Interface ITransportable

All Known Implementing Classes:
  ABatchMessage, AFXCMMessage, ATradeTransportable, BatchRequest, BatchResponse, BusinessMessageReject, ClosedPositionReport, CollateralInquiry, CollateralInquiryAck, CollateralReport, DasMessage, DasMessage, EMail, ExecutionReport, FXCMNewsRequest, FXCMNewsTopicRequest, FXCMNewsTopicResponse, FXCMRequest, FXCMRequestReject, FXCMResponse, Heartbeat, Logout, MarketDataIncremental, MarketDataRequest, MarketDataRequestReject, MarketDataSnapshot, MarketDataSnapshot, MarketDataSnapshot, News, OrderCancelReject, OrderCancelReplaceRequest, OrderCancelRequest, OrderList, OrderMassStatusRequest, OrderSingle, OrderStatusRequest, PositionReport, Quote, QuoteCancel, QuoteRequest, QuoteRequestReject, QuoteResponse, RequestForPositions, RequestForPositionsAck, SecurityList, SecurityListRequest, SecurityStatus, SecurityStatusRequest, TestRequest, TradingSessionStatus, TradingSessionStatus, TradingSessionStatusRequest, TransportableContainer, UserRequest, UserResponse

    public interface ITransportable

Implementation of that interface will guaranty that object can map to IMessage to send over network.

Method Summary
`boolean` | `fill(IMessage aMsg)` Fills object state based on message.
`long` | `getMakingTime()` Return the time when this instance of ITransportable object was made
`String` | `getRequestID()` Obtains the Request ID on this object
`String` | `getTradingSessionID()` Obtains the Trading Session ID
`String` | `getTradingSessionSubID()` Obtains the Trading Session Sub ID
`com.fxcm.entity.ICode` | `getType()` Obtains object type.
`boolean` | `isValid()` Validates object state.
`IMessage` | `toMessage(String aSID, IMessageFactory aFactory)` Converts object to IMessage.
`IMessage` | `toMessage(String aSID, String aTradingSessionID, String aTradingSessionSubID, String aRequestID, int aOptions, IMessageFactory aFactory)` Converts object to IMessage.
`boolean` | `update(IMessage aMsg)` Updates object state based on message.

Method Detail

### toMessage

    IMessage toMessage(String aSID,
                       IMessageFactory aFactory)

  Converts object to IMessage.

  Parameters:
    `aSID` - user session ID
    `aFactory` - message factory that is in use to process
  Returns:
    new messge create or `null` if creation fails

### toMessage

    IMessage toMessage(String aSID,
                       String aTradingSessionID,
                       String aTradingSessionSubID,
                       String aRequestID,
                       int aOptions,
                       IMessageFactory aFactory)

  Converts object to IMessage.

  Parameters:
    `aSID` - user session ID
    `aTradingSessionID` - Trading Session ID, to alternate a value from object state
    `aTradingSessionSubID` - Trading Session Sub ID, to alternate a value from object state
    `aRequestID` - Request ID, to alternate a value from object state
    `aOptions` - Set of options for message creation, reserved
    `aFactory` - message factory that is in use to process
  Returns:
    new messge create or `null` if creation fails

### fill

    boolean fill(IMessage aMsg)

  Fills object state based on message.

  Parameters:
    `aMsg` - message to get new state from
  Returns:
    `true` if succeeded, `false` otherwise.

### update

    boolean update(IMessage aMsg)

  Updates object state based on message.

  Parameters:
    `aMsg` - message to get udpated state from
  Returns:
    `true` if succeeded, `false` otherwise.

### isValid

    boolean isValid()

  Validates object state.

  Returns:
    `true` if object state is valid, `false` otherwise.

### getType

    com.fxcm.entity.ICode getType()

  Obtains object type.

  Returns:
    code of object type.

### getTradingSessionID

    String getTradingSessionID()

  Obtains the Trading Session ID

### getTradingSessionSubID

    String getTradingSessionSubID()

  Obtains the Trading Session Sub ID

### getRequestID

    String getRequestID()

  Obtains the Request ID on this object

### getMakingTime

    long getMakingTime()

  Return the time when this instance of ITransportable object was made

  Returns:
    object making time

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.